Bug 2359 - [UPDATE REQUEST] stunnel 4.56
: [UPDATE REQUEST] stunnel 4.56
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 11:45 MSD by Denis Silakov
Modified: 2013-07-25 12:24 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-07-18 11:45:05 MSD
stunnel 4.56 contains a set of bug and security fixes. We should update to this version.
Comment 1 Denis Silakov 2013-07-18 11:45:54 MSD
Advisory:

Updated to stunnel-4.56 with a bunch of bug and security fixes.

Detailed changelog can be found here: https://www.stunnel.org/sdf_ChangeLog.html

Build lists:
https://abf.rosalinux.ru/build_lists/1187146
https://abf.rosalinux.ru/build_lists/1187145
Comment 2 Vladimir Potapov 2013-07-22 17:04:47 MSD
?Regression:

#stunnel 
***
FIPS_mode_set: F06D065: error:0F06D065:common libcrypto routines:FIPS_mode_set:fips mode not supported
***
Comment 3 Denis Silakov 2013-07-22 22:15:35 MSD
Hm, yes, this message indicsates that this is a known issue with fips:

https://www.stunnel.org/pipermail/stunnel-users/2013-March/004142.html

It seems that disabling fips is the only way to fix it, let's do it/

New build lists:

https://abf.rosalinux.ru/build_lists/1188501
https://abf.rosalinux.ru/build_lists/1188502
Comment 4 Vladimir Potapov 2013-07-23 14:28:14 MSD
stunnel-4.56-2-rosa2012.1
********************** Advisory ***************************
Updated to stunnel-4.56 with a bunch of bug and security fixes.
**********************************************************
QA Verified